{% extends 'store/base.html' %}
{% load static %}
{% block title %}Orders{% endblock title %}
{% block main-content %}
<div class="container my-5">
 <div class="row">
 <h3><span class="text-capitalize">{{request.user}}</span></h3>
  <div class="col-sm-2 border-end">
   <ul class="list-unstyled">
    <li class="d-grid"><a href="{% url 'orders' %}" class="btn btn-outline-primary">Orders</a></li><br>
   </ul>
  </div>
  <div class="col-sm-9 offset-sm-1">
  {% for op in order_placed %}
  {% if op.ordered %}
   {% if op.status != 'Delivered' %}
   <div class="row shadow-sm mb-3">
    <div class="col-sm-2">
      <img src="{{op.product.product_img.url}}" alt="" srcset="" class="responsive" >
    </div>
    <div class="col-sm-7">
     <p>Product: {{op.product.title}}</p>
     <p>Quantity: {{op.quantity}}</p>
     <p>Price: {{op.product.discounted_price}}</p>
     <p>Address:{{op.address.residential_address}}</p>
    </div>
    <div class="col-sm-3 fw-bold cancel_data">
     <p>Order Status: {{op.status}} </p>
     {% if op.status == 'Pending' %}
      <input type="hidden" value="{{op.id}}" class="op_id">
     <input type="hidden" value="{{op.id}}" class="order_id">
     <input type="hidden" value="{{op.product.id}}" class="prod_id">
     <input type="hidden" value="{{op.product.stock}}" class="prod_stock">
     <input type="hidden" value="{{op.quantity}}" class="order_qty">
     <button class="btn btn-primary cancel-order-btn">Cancel Order</button>
     {% endif %}
      {% if op.status == 'Accepted' %}
      <div class="progress">
          <div class="progress-bar" role="progressbar" style="width: 20%" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100"></div>
      </div>
      {% endif %}

      {% if op.status == 'Packed' %}
      <div class="progress">
        <div class="progress-bar bg-info" role="progressbar" style="width: 40%" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
      </div>
      {% endif %}

      {% if op.status == 'Out for Delivery' %}
      <div class="progress">
        <div class="progress-bar  bg-warning" role="progressbar" style="width: 70%" aria-valuenow="70" aria-valuemin="0" aria-valuemax="100"></div>
      </div>
      {% endif %}
    </div>
   </div>
    {% endif %}
   {% endif %}
   {% endfor %}
  </div>
 </div>
</div>
{% endblock main-content %}

